<form class="{{cssClass}}" autocomplete="off">
    <header class="sheet-header">
        <img src="{{item.img}}" data-edit="img" title="{{item.name}}"/>
        <div class="header-fields">
            <h1 class="charname">
                <input name="system.singleName" type="text" value="{{system.singleName}}"
                       aria-label="{{localize 'HTP.Name'}}" placeholder="{{localize 'HTP.Name'}}"/></h1>
        </div>
    </header>

    <section {{#unless isGM}}class="is-player"{{/unless}}>
        <div class="tab-content">
            <nav class="tabs">
                <a data-tab="basic-data">{{localize 'HTP.BasicData'}}</a>
                <a data-tab="gm">{{localize 'HTP.GM'}}</a>
            </nav>
            <div class="tab" data-tab="basic-data">
                <div class="item-body">
                    <div>
                        <h3>{{localize "HTP.Description"}}</h3>
                        {{editor system.description target="system.description" button=true owner=owner
                                 editable=editable}}
                    </div>
                    <div>
                        <h3 id="faction-type">{{localize "HTP.FactionType"}}</h3>
                        <input type="text" value="{{system.type}}" name="system.type" aria-labelledby="faction-type">
                    </div>
                    <div>
                        <h3 class="input-inside">
                            <label for="faction-tier">{{localize "HTP.Tier"}}</label>
                            <input id="faction-tier" type="number" data-dtype="Number" name="system.tier"
                                   value="{{system.tier}}"/>
                        </h3>
                    </div>
                    <div>
                        <h3 class="input-inside">
                            <label for="faction-hold">{{localize "HTP.Hold"}}</label>
                            <select name="system.hold" id="faction-hold">
                                {{selectOptions holds selected=system.hold localize=true}}
                            </select>
                        </h3>
                    </div>
                    <div>
                        <h3 id="faction-notes">{{localize "HTP.Notes"}}</h3>
                        {{editor system.notes target="system.notes" button=true owner=owner
                                 editable=editable}}
                    </div>

                </div>
            </div>
            <div class="tab" data-tab="gm">
                {{#if isGM }}
                    <div class="item-body">
                        <h3>{{localize "HTP.Goal"}}</h3>
                        <div class="faction-goals">
                            {{#each system.goals as |goal|}}
                                <div class="goal">
                                    {{# if (gt goal.segments 0)}}
                                        {{> "systems/hack-the-planet/templates/parts/clocks/clock.hbs" segments=goal.segments value=goal.value parameter="system.goals" index=@index }}
                                    {{/if}}
                                    <div class="goal-params">
                                        <div id="clock-max-{{@index}}" class="goal-max">
                                            <label for="max-{{@index}}">{{localize 'HTP.Segments'}}: </label>
                                            <select id="max-{{@index}}"
                                                    name="{{concat "system.goals." @index ".segments"}}"
                                                    data-dtype="Number">
                                                <option value="0">-</option>
                                                {{#with (lookup ../system.size_list @index)}}
                                                    {{{this}}}
                                                {{/with}}
                                            </select>
                                        </div>
                                        <input type="text" name="{{concat "system.goals." @index ".title"}}"
                                               value="{{goal.title}}"/>
                                    </div>
                                </div>
                            {{/each}}
                        </div>
                        <div>
                            <h3>{{localize "HTP.Turf"}}</h3>
                            {{editor system.turf target="system.turf" button=true owner=owner
                                     editable=editable}}
                        </div>
                        <div>
                            <h3>{{localize "HTP.NotableNPCs"}}</h3>
                            {{editor system.notables target="system.notables" button=true owner=owner
                                     editable=editable}}
                        </div>
                        <div>
                            <h3>{{localize "HTP.NotableAssets"}}</h3>
                            {{editor system.assets target="system.assets" button=true owner=owner
                                     editable=editable}}
                        </div>
                        <div>
                            <h3>{{localize "HTP.Quirks"}}</h3>
                            {{editor system.quirks target="system.quirks" button=true owner=owner
                                     editable=editable}}
                        </div>
                        <div>
                            <h3>{{localize "HTP.Allies"}}</h3>
                            <input type="text" name="system.allies" value="{{system.allies}}"/>
                        </div>
                        <div>
                            <h3>{{localize "HTP.Enemies"}}</h3>
                            <input type="text" name="system.enemies" value="{{system.enemies}}"/>
                        </div>
                        <div>
                            <h3>{{localize "HTP.Situation"}}</h3>
                            {{editor system.situation target="system.situation" button=true owner=owner
                                     editable=editable}}
                        </div>
                    </div>
                {{/if}}
            </div>
        </div>
    </section>
</form>
